echo off
  rem ------------------------------------------------------
  rem This event.bat file is meant to serve as an example
  rem for your event handling in WC!  Provided, is a basic
  rem example of how to utilize the many errorlevels
  rem Courier returns during an event process.
  rem This batch file makes three back-to-back attempts
  rem should there be an error initializing the modem.
  rem Also, if there is any failure in connecting; an
  rem online timeout; or cancellation of an event;
  rem this batch will rename the .Rep packet to <Name.Old>
  rem and check for it first on the next run before doing
  rem another mail toss via TNet.
  rem A log is kept describing the nature of any failures
  rem during an event.
  rem You may want to add a program that display the date and
  rem time (ie: Norton's TM.Exe), writing that to the .Log
  rem for a time/date accurate log file.
  rem Be sure to change any used paths to properly match
  rem your own, as well as file names.
  rem ------------------------------------------------------
  rem This batch was based on calling The Ledge BBS, and is
  rem very similar to what is being used currently by The
  rem Source BBS for it's mail runs to 3 different Hubs.
  rem ------------------------------------------------------
:start
  c:
  cd\MailDrop
:pre_check
  rem ------------------------------------------------------
  rem This section deletes old packets, and checks for an
  rem old .Rep (.Old) packet for processing.
  rem ------------------------------------------------------
  del *.qwk
  del *.rep
  if exist Ledge.Old goto redo_old
  goto pre_stuff
:redo_old
  rem ------------------------------------------------------
  rem This section handles any old .Rep (.Old) packets that
  rem may need sent first.
  rem ------------------------------------------------------
  rename Ledge.Old Ledge.Rep
  echo Old Mail Run >> Mail.Old
  goto pre_event
:pre_stuff
  rem ------------------------------------------------------
  rem Handles the initial TNet mail tossing for subsequent
  rem uploading to the hub.
  rem ------------------------------------------------------
  if exist Mail.Old erase Mail.Old
  cd\WC30
  tnet export Ledge
:pre_event
  rem ------------------------------------------------------
  rem Actual event running start area.
  rem ------------------------------------------------------
  cd\Courier
  if exist \Courier\Event*.Err erase \Courier\Event*.Err
:runevent
  rem -----------runevent pertains to Courier only----------
  courier -cMyEvent.Cfg -e2
  rem ---------------Check errors from Courier--------------
  if errorlevel 8 goto cancel
  if errorlevel 7 goto qwk_fail
  if errorlevel 6 goto bad_dir_entry
  if errorlevel 5 goto timed_out
  if errorlevel 4 goto qwk_fail
  if errorlevel 3 goto rep_fail
  if errorlevel 2 goto failed
  if errorlevel 1 goto initerr
  rem ---------------All went ok, close event---------------
  if exist \Courier\Event*.Err erase \Courier\Event*.Err
  goto success
:initerr
  rem ----Error handling routine, makes three attempts------
  echo Courier Returned Error 1 - Modem Not Initialized
  if exist \Courier\Event1.Err goto initerr2
  echo Error Running Event - First Try (No Modem Init) >> Event1.Err
  goto runevent
:initerr2
  rem ---------------Second attempt failed------------------
  if exist \Courier\Event2.Err goto initerr3
  echo Error Running Event - Second Try (No Modem Init) >> Event2.Err
  goto runevent
:initerr3
  rem ---------------Third, Last attempt--------------------
  if exist \Courier\Event*.Err erase Event*.Err
  echo Error Running Event - Three Tries (No Modem Init) >> Ledge.Log
  goto failed
:qwk_fail
  echo DnLoad activated, but unable to locate .Qwk packet afterwards >> Ledge.Log
:rep_fail
  cd\MailDrop
  if exist Ledge.Rep copy Ledge.Rep Ledge.Chk
  if exist Ledge.Qwk goto success
  goto end
:bad_dir_entry
  echo Error Running Event - Bad Dialing Directory Entry entered >> Ledge.Log
  goto failed
:timed_out
  echo Error Running Event - No Connection established >> Ledge.Log
  goto failed
:cancel
  echo Error Running Event - Escape pressed to Cancel >> Ledge.Log
:failed
  rem -----Enter any post event (failure) commands here
  cd\MailDrop
  rename Ledge.Rep Ledge.Old
  goto end
:success
  echo Successful Mail Run >> Ledge.Log
  cd\WC30
  oh! 2
  tnet import Ledge
  logtrim ledge 2
  netbull
  rem tnet high ledge (only run after msg renumber)
  cd\MailDrop
  if exist Mail.Old goto pre_check
:end
  cd\WC30

